Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | List of all members
TreeNode< value_type > Struct Template Reference

INTERNAL: N-tree impl. More...

`#include <tree.h>`

## Public Types

typedef TreeNode< value_type > | self_type
typedef std::list< TreeNode< value_type > > | NodeList

## Public Member Functions

| TreeNode (const value_type &data)
void | set (const value_type &data)
value_type & | get ()
const value_type & | get () const
NodeList & | childList ()
const NodeList & | childList () const

## Detailed Description

template<typename value_type>
struct mimetic::TreeNode< value_type >

INTERNAL: N-tree impl.

The documentation for this struct was generated from the following file:

- tree.h